{% extends "base.html" %}
{% from "macros/header.html" import header with context %}
{% from "macros/tweets.html" import show_tweets with context %}
{% from "macros/pharmacies.html" import show_pharmacies with context %}

{% block title %} MediTweet {% endblock %}

{% block head %}
 {{ super() }}
    <style>
        /* Icon when the collapsible content is shown */
        .pharmacies-btn>i:before {
            content: "\f107"
        }

        /* Icon when the collapsible content is hidden */
        .pharmacies-btn.collapsed>i:before {
            content: "\f105";
        }

        img.logo {
            width: 50px;
            height: 50px;
            border-radius: 30%;
        }

        h1, h5 {
            font-weight: 200 !important;
        }

        .container{
            max-width: 900px;
        }

        a {
            color:  rgb(45, 50, 82);
        }

        a:hover {
            color: #2d3252e6;
            -webkit-transition: background-color 170ms ease-out;
            -moz-transition: background-color 170ms ease-out;
            -ms-transition: background-color 170ms ease-out;
            -o-transition: background-color 170ms ease-out;
            transition: background-color 170ms ease-out;
        }

        .btn {
            border-radius: 0px !important;
        }

        .btn-link {
            color:  rgb(248, 228, 201);
            background-color:  rgb(45, 50, 82);
        }

        .btn-link:hover {
            color:  rgb(248, 228, 201);
            background-color: #2d3252e6;
            -webkit-transition: background-color 170ms ease-out;
            -moz-transition: background-color 170ms ease-out;
            -ms-transition: background-color 170ms ease-out;
            -o-transition: background-color 170ms ease-out;
            transition: background-color 170ms ease-out;
        }

        .card {
            border-radius: 0px !important;
            border-color:  #2d3252e6;
        }

        .accordion>.card:first-of-type {
            border-bottom: 1px solid;
            border-bottom-right-radius: 0;
            border-bottom-left-radius: 0;
        }

        .showMore {
            border: 1px solid #2d3252;
            border-radius: 10px;
            padding: .5rem!important;
            font-size: 12px;
        }

        .showMore:hover {
            border: 1px solid #2d3252;
            background-color: #2d3252;
            color: #f8e4c9;
        }
        .inner-card {
            margin-left: 1rem;
            margin-right: 1rem;
            margin-bottom: 1rem;
        }

        @media (min-width: 768px) {
            .inner-card {
                margin-left: 3rem;
                margin-right: 3rem;
            }
        }
    </style>
{% endblock %}

{% block body %}
    {{ header() }}

    <section class="container">
        <h1>{{ ingredient|title }}</h1>

        {% if data.keywords %}
        <p>
            También conocido como: {{ data.keywords|join(', ') }}.
        </p>
        {% endif %}

        <div class="accordion mb-5">
            {% if data.users %}
                {{ show_tweets(data.users) }}
            {% endif %}

            {% if data.pharmacies %}
                {{ show_pharmacies(data.pharmacies) }}
            {% endif %}
            {% if not data.users and not data.pharmacies %}
              <h3> En este momento no tenemos hemos encontrado información sobre {{ ingredient }}.</h3>
              <h3> Para más información sobre MediTweet visite <a href="https://codeforvenezuela.org">codeforvenezuela.org</a></h3>
            {% endif %}
        </div>
    </section>

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>

    <script>
        $('.showMore').click(function(){
            var $this = $(this);
            if($this.attr('aria-expanded') === "false"){
                $this.text('Mostrar menos');
            } else {
                $this.text('Mostrar más');
            }
        });
    </script>
{% endblock %}
